%define upstream_name    Getopt-Std-Strict
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Test::Simple)
BuildArch: noarch

%description
Getopt::Std is nice but it could be even easier to use. This is how I would
like Getopt::Std to behave.

Two main concepts are strengthened here, on top of Getopt::Std.

   1) Variables are created even under use strict
   2) Your option specs are passed at compile time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-7.mga6
+ Revision: 1027927
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 935736
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 750142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 684864
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 511836
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 367743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 kharec <kharec> 1.10.0-1.mga2
+ Revision: 178265
- imported package perl-Getopt-Std-Strict


* Wed Dec 07 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
